Package org.gradle.api.reflect

## Class ObjectInstantiationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.reflect.ObjectInstantiationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ObjectInstantiationException
      extends java.lang.RuntimeException

  Thrown when an object cannot be instantiated.
  Since:
    4.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectInstantiationException​(java.lang.Class<?> targetType, java.lang.Throwable throwable)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectInstantiationException

          public ObjectInstantiationException​(java.lang.Class<?> targetType,
                                              java.lang.Throwable throwable)